<?php

namespace App\Modules\Leads\WebPage\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface WebPageRepository
{
    public function insert(WebPage $model): IdWebPage;
    public function update(WebPage $model);
    public function find(StorageCriteria $action): WebPage;
    public function search(StorageCriteria $action): array;
}
